%global repo_name python-rpm-spec
%bcond_without tests

Name:       python-pyrpm
Version:    0.10
Release:    1
Summary:    python-pyrpm is a Python library for parsing RPM spec files
License:    MIT
URL:        https://github.com/bkircher/%{repo_name}
Source0:    https://github.com/bkircher/%{repo_name}/archive/%{version}.tar.gz#/%{repo_name}-%{version}.tar.gz
BuildArch:  noarch

%description
python-pyrpm is a Python library for parsing RPM spec files. This module allows
you to parse spec files and gives you simple access to various bits of
information that is contained in the spec file.

%package -n python3-pyrpm
Summary: python3-pyrpm is a Python 3 library for parsing RPM spec files
Provides: python-rpm-spec
BuildRequires: python3-devel
BuildRequires: python3-setuptools
%if %{with tests}
BuildRequires: python3-pytest
%endif

%description -n python3-pyrpm
It is a Python 3 library for python-pyrpm.

%prep
%autosetup -n %{repo_name}-%{version}

%build
%py3_build

%install
%py3_install

%check
%if %{with tests}
py.test-%{python3_version} -vv tests || :
%endif

%files -n python3-pyrpm
%license LICENSE
%doc README.md AUTHORS examples
%{python3_sitelib}/*

%changelog
* Tue Sep 29 2020 Leo Fang <leofang_94@163.com>
- Package Init
